%global distname fedrepo_req

Name:           fedrepo-req
Version:        0.1.9
Release:        1%{?dist}
Summary:        CLI for Fedora package repo requests
License:        GPLv2+
URL:            https://pagure.io/fedrepo_req
Source0:        https://pypi.io/packages/source/f/%{distname}/%{distname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-bugzilla
BuildRequires:  python-fedora
BuildRequires:  PyYAML
BuildRequires:  python-six

%if 0%{?fedora} || 0%{?rhel} > 7
BuildRequires:  python2-setuptools
BuildRequires:  python2-requests
%if 0%{?fedora} < 25
BuildRequires:  python-click
%else
BuildRequires:  python2-click
%endif
%else
BuildRequires:  python-setuptools
BuildRequires:  python-click
BuildRequires:  python-requests
%endif

# For tests
BuildRequires:  python-vcrpy

%if 0%{?fedora} || 0%{?rhel} > 7
BuildRequires:  python2-mock
BuildRequires:  python2-pytest
%else
BuildRequires:  python-mock
%if 0%{?rhel}
BuildRequires:  pytest
%else
BuildRequires: python-pytest
%endif
%endif

Requires: python2-fedrepo-req = %{version}-%{release}


%description
CLI for Fedora package request


%package -n python2-fedrepo-req
Summary:        Common dependencies for fedrepo-req and fedrepo-req-admin
%{?python_provide:%python_provide python2-fedrepo-req}

Requires:  git
Requires:  python-bugzilla
Requires:  python-fedora
Requires:  PyYAML
Requires:  python-six

%if 0%{?fedora} || 0%{?rhel} > 7
Requires:  python2-requests
%if 0%{?fedora} < 25
Requires:  python-click
%else
Requires:  python2-click
%endif
%else
Requires:  python-click
Requires:  python-requests
%endif

%description -n python2-fedrepo-req
Common dependencies for fedrepo-req and fedrepo-req-admin


%package -n fedrepo-req-admin
Summary:        CLI tool for processing Fedora packaging repo requests

Requires: python2-fedrepo-req = %{version}-%{release}

%description -n fedrepo-req-admin
CLI tool for processing Fedora packaging repo requests


%prep
%setup -q -n %{distname}-%{version}


%build
%py2_build


# The test suite fails when run in Koji.
# We are currently in the process of rewriting them so that it'll work.
# %%check
# export PYTHONPATH=%{buildroot}/%{python2_sitelib}
# export FEDREPO_REQ_TEST_CONFIG=true
# py.test tests/


%install
%py2_install


%files
%doc README.md
%license LICENSE
%{python2_sitelib}/%{distname}/fedrepo_req.py*
%{python2_sitelib}/%{distname}/fedrepo_req_branch.py*
%{_bindir}/fedrepo-req
%{_bindir}/fedrepo-req-branch

%files -n python2-fedrepo-req
%doc README.md
%license LICENSE
%dir %{_sysconfdir}/fedrepo_req/
%config(noreplace) %{_sysconfdir}/fedrepo_req/config.ini
%dir %{python2_sitelib}/%{distname}/
%{python2_sitelib}/%{distname}/__init__.py*
%{python2_sitelib}/%{distname}/bugzilla.py*
%{python2_sitelib}/%{distname}/config.py*
%{python2_sitelib}/%{distname}/exceptions.py*
%{python2_sitelib}/%{distname}/fas.py*
%{python2_sitelib}/%{distname}/git.py*
%{python2_sitelib}/%{distname}/pagure.py*
%{python2_sitelib}/%{distname}/pdc.py*
%{python2_sitelib}/%{distname}/request_utils.py*
%{python2_sitelib}/%{distname}/utils.py*
%{python2_sitelib}/%{distname}*.egg-info

%files -n fedrepo-req-admin
%doc README.md
%license LICENSE
%{python2_sitelib}/%{distname}/fedrepo_req_admin.py*
%{_bindir}/fedrepo-req-admin


%changelog
* Tue Jul 11 2017 Matt Prahl <mprahl@redhat.com> - 0.1.9-1
- Bump to version 0.1.9

* Tue Jul 11 2017 Matt Prahl <mprahl@redhat.com> - 0.1.8-2
- Fix dependencies for Fedora 24

* Tue Jul 11 2017 Matt Prahl <mprahl@redhat.com> - 0.1.8-1
- Bump to version 0.1.8

* Mon Jul 10 2017 Matt Prahl <mprahl@redhat.com> - 0.1.7-1
- Address feedback in spec file

* Fri Jul 07 2017 Matt Prahl <mprahl@redhat.com> - 0.1.6-1
- Initial packaging

